clang 10.0.0git

Functions
RewriteRope.cpp File Reference
`#include "clang/Rewrite/Core/RewriteRope.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/Support/Casting.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstring>`
Include dependency graph for RewriteRope.cpp:

Go to the source code of this file.

## Functions
static const RopePieceBTreeLeaf * | getCN (const void *P)
static RopePieceBTreeNode * | getRoot (void *P)

## Function Documentation

## ◆ getCN()

static const RopePieceBTreeLeaf* getCN | ( | const void * | P | ) |
| static

Definition at line 667 of file RewriteRope.cpp.

References P.

Referenced by clang::RopePieceBTreeIterator::MoveToNextPiece(), and clang::RopePieceBTreeIterator::RopePieceBTreeIterator().

## ◆ getRoot()

static RopePieceBTreeNode* getRoot | ( | void * | P | ) |
| static

Definition at line 717 of file RewriteRope.cpp.

References P.

Referenced by clang::RopePieceBTree::clear(), clang::RopePieceBTree::erase(), clang::RopePieceBTree::insert(), clang::RopePieceBTree::size(), and clang::RopePieceBTree::~RopePieceBTree().